Subject: Re: Linux kernel 3.x problems on PowerMac G5

From: Phileas Fogg <[email-masked]>
Date: Sun, 03 Mar 2013 05:16:28 -0700

Benjamin Herrenschmidt wrote:
> On Sun, 2013-03-03 at 11:23 +0300, Denis Kirjanov wrote:
>> I'm running 3.7.6 without any problems on my quad core machine. You
>> have to try to compile with g5_defconfig...
>
> Sure but I still want to know what in his config is breaking it, chances
> are that's something that we should fix :-)
>
> Cheers,
> Ben.
>
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev

Hi,

i'm testing currently with slightly modified g5_defconfig. I enabled
the Ralink driver for my USB WLAN NIC and some other stuff, nothing 
fancy. Anyways, i'm sending you config for 3.0.67. Linux 3.0.67 hangs on 
my machine too.

I cloned your GIT powerpc repository and at the moment bisecting and
trying to find the commit which causes trouble on my machine.

I have already found out that
the commit 27d934b28752b860cba6c0d77ea4598861d80998 is OK
but
the commit 0bd41dfc9fbbcf174d5336c1c9fc5ba917519761 is NOT.
The problem appeared between Linux 2.6.39 and Linux-3.0-rc1.

Just my typical luck with PowerPC :) First PS3 and now G5.

I will report back as soon as i find the commit which causes the hangs.

regards